﻿using System;
using System.Collections.Generic;
using System.Reflection;
using System.Text;

namespace HeuristicLab.CommandLineInterface.Data {
  /// <summary>
  /// Stores metadata for options.
  /// </summary>
  internal class OptionData {
    internal const string LongformPrefix = "--";
    internal const string ShortcutPrefix = "-";
    internal string Identifier { get; set; } = "";
    internal string Shortcut { get; set; }
    internal string Description { get; set; } = "";
    internal string ValueDescription { get; set; }
    internal bool Required { get; set; } = false;
    internal bool Hidden { get; set; } = false;
    internal PropertyInfo Property { get; set; }
  }
}
